package cz.moneta.test.dsl.payment_engine.enums;

import lombok.Getter;

@Getter
public enum TransactionOptionalData {

    IDENTIFICATION1("PŘÍKAZCE.....Harness Autotest.....1\n" +
            "PŘÍKAZCE.....Harness Autotest.....2\n" +
            "PŘÍKAZCE.....Harness Autotest.....3\n" +
            "PŘÍKAZCE.....Harness Autotest.....4"),

    IDENTIFICATION2("PROTISTRANA....Harness Autotest...1\n" +
            "PROTISTRANA....Harness Autotest...2\n" +
            "PROTISTRANA....Harness Autotest...3\n" +
            "PROTISTRANA....Harness Autotest...4"),

    MESSAGE_MAX1("ZP pole......Harness Autotest.....1\n" +
            "ZP pole......Harness Autotest.....2\n" +
            "ZP pole......Harness Autotest.....3\n" +
            "ZP pole......Harness Autotest.....4"),

    MESSAGE_MAX2("AV pole......Harness Autotest.....1\n" +
            "AV pole......Harness Autotest.....2\n" +
            "AV pole......Harness Autotest.....3\n" +
            "AV pole......Harness Autotest.....4"),

    MESSAGE_MIN1("ZP pole......Harness Autotest.....1"),
    MESSAGE_MIN2("AV pole......Harness Autotest.....2"),

    NAME1("_Harness_Autotest_"),
    NAME2("Nazev_Harness_Autotest_1_Nazev_Harness_Autotest_2_"),

    VARIABLE_SYMBOL("1234567890"),
    SPECIFIC_SYMBOL("0987654321"),
    CONSTANT_SYMBOL("3333333333");

    private final String optionalData;

    TransactionOptionalData(String optionalData) {
        this.optionalData = optionalData;
    }
}
